CLASS LOCK_EXCEPTI(3)

NAME
boost::interprocess::lock_exception

SYNOPSIS

// In header: <boost/interprocess/exceptions.hpp>
class lock_exception : public boost::interprocess::interprocess_exception {
public:
  // construct/copy/destruct
  lock_exception();
  // public member functions
  const char * what() const;
};

DESCRIPTION

This is the exception thrown by shared interprocess_mutex family when a deadlock situation is detected or when using a interprocess_condition the interprocess_mutex is not locked

  lock_exception public construct/copy/destruct

    1.

    lock_exception();

  lock_exception public member functions

    1.

    const char * what() const;